<?
define('PROTECTOR', 1);

$headmod = 'rydnik';//фикс. места

$textl='Рудник';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');


$rand=rand(1000,9999);


if($udata[lvl]>=12 and $log!=Admin){
echo'Вы слишком уважаемый воин, чтобы работать на руднике!';
include($path.'files/down.php');
exit;
}

 if($udata[lvl]==0){
echo'Ты слишком слаб чтобы работать на руднике! Приходи когда будет 1 уровень!';
include($path.'files/down.php');
exit;
} 

$req = mysql_query("SELECT * FROM `rydnik` where `usr`='$log'");
$avto=mysql_num_rows($req);
if($avto==1){
$rydnik = mysql_fetch_array($req);

}
echo"<div align='center'><b>Рудник</b></div>";
echo'<div class="event">';

if(!empty($rydnik[usr])){
if($rydnik[last]<time()-600){ //1200

mysql_query("DELETE FROM `rydnik` WHERE usr='$log'");

echo'Работа прекращена, вы ничего не заработали!<br/>';
echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
echo'</div>';
include($path.'files/down.php');exit;
}elseif($rydnik[over]<=time()){

$cena=5*$udata[lvl];
$udata[money]=$udata[money]+$cena;

mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
mysql_query("DELETE FROM `rydnik` WHERE usr='$log'");

echo'Работа завершена, вы заработали '.$cena.' монет!<br/>';
echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
echo'</div>';
include($path.'files/down.php');exit;
}
}

if($_GET[mod]==rab){
if(!empty($rydnik[usr])){

mysql_query("UPDATE rydnik SET last = '".time()."' WHERE usr = '$log'");

echo'Вы работаете на руднике.<br/>';
echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
}else{
$over=time()+600; //60 сек * на кол-во минут = циферка
$last=time();

mysql_query("INSERT INTO
`rydnik` SET
`usr` = '$log',
`over` = '$over',
`last` = '$last'");

echo'Работа на руднике начата!<br/>';
echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
}
}elseif($_GET[mod]==cancel){

if(empty($rydnik[usr])){
echo'Вы не работаете на руднике!<br/>';
echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
}else{
mysql_query("DELETE FROM `rydnik` WHERE usr='$log'");

echo'Работа на руднике прекращена!<br/>';
echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
}
}else{
if(empty($rydnik[usr])){
echo"<a href=\"rydnik.php?mod=rab&r=$rand\"><input class=\"button\" type=\"submit\" value=\"Работать\" /></a><br/>";
}else{

echo"До завершения работы: ";

$rydnik[over]=$rydnik[over]-time();
if($rydnik[over]<60){
echo "$rydnik[over] сек.<br/>";
}elseif($rydnik[over]>60 and $rydnik[over]<3600){
$rydnik[over]=round($rydnik[over]/60);
echo "$rydnik[over] мин.<br/>";
}else{
$rydnik[over]=round($rydnik[over]/3600);
echo "$rydnik[over] часов<br/>";
}

echo"<a href=\"rydnik.php?mod=rab&r=$rand\"><input class=\"button\" type=\"submit\" value=\"Работать\" /></a><br/>";
echo"[<a href=\"rydnik.php?mod=cancel&r=$rand\">Отменить</a>]<br/>";
}
}
echo'</div>';
////////////////////////
include($path.'files/down.php');
?>



